package cn.com.ty.lift.business.contract.dao.entity.model.request;

import cn.com.ty.lift.common.model.PageRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2019/12/09
 * @description 合同操作记录列表请求体
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ContractsHistoryRequest extends PageRequest {

    /**
     * 合同id
     */
    @NotNull(message = "notEmpty")
    private Long contractId;
}
